streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_kernel_func::kernel_func Struct Reference
Inheritance diagram for streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_kernel_func::kernel_func:
Collaboration diagram for streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_kernel_func::kernel_func:

## Public Member Functions

| kernel_func (kernel_input_tuple &ip, const streaming_node &node, const args_storage &storage, device_type device)
template<typename... FnArgs>
void | operator() (FnArgs &... args)
Public Member Functions inherited from tbb::internal::no_copy
| no_copy (const no_copy &)=delete
| no_copy ()=default

## Public Attributes

kernel_input_tuple & | my_ip
const streaming_node & | my_node
const args_storage & | my_storage
device_type | my_device

## Detailed Description

### template<typename... Ports, typename JP, typename StreamFactory>
template<typename... Args>
struct streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_kernel_func::kernel_func

Definition at line 519 of file _flow_graph_streaming_node.h.

## Constructor & Destructor Documentation

## kernel_func()

template<typename... Ports, typename JP , typename StreamFactory >
template<typename... Args>

streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_kernel_func::kernel_func::kernel_func | ( | kernel_input_tuple & | ip,
|  | const streaming_node< tuple< Ports... >, JP, StreamFactory > & | node,
|  | const args_storage & | storage,
|  | device_type | device
| ) |  |

inline

Definition at line 525 of file _flow_graph_streaming_node.h.

: my_ip( ip ), my_node( node ), my_storage( storage ), my_device( device )
{}
streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage::run_kernel_func::kernel_func::my_device
device_type my_device
Definition: _flow_graph_streaming_node.h:523
streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage::run_kernel_func::kernel_func::my_storage
const args_storage & my_storage
Definition: _flow_graph_streaming_node.h:522
streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage::run_kernel_func::kernel_func::my_ip
kernel_input_tuple & my_ip
Definition: _flow_graph_streaming_node.h:520
streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage::run_kernel_func::kernel_func::my_node
const streaming_node & my_node
Definition: _flow_graph_streaming_node.h:521

## Member Function Documentation

## operator()()

template<typename... Ports, typename JP , typename StreamFactory >
template<typename... Args>
template<typename... FnArgs>

void streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_kernel_func::kernel_func::operator() | ( | FnArgs &... | args | ) |

inline

Definition at line 530 of file _flow_graph_streaming_node.h.

{
my_node.enqueue_kernel( my_ip, my_storage.my_factory, my_device, my_storage.my_kernel, args... );
}

## Member Data Documentation

## my_device

template<typename... Ports, typename JP , typename StreamFactory >
template<typename... Args>

device_type streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_kernel_func::kernel_func::my_device

Definition at line 523 of file _flow_graph_streaming_node.h.

## my_ip

template<typename... Ports, typename JP , typename StreamFactory >
template<typename... Args>

kernel_input_tuple& streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_kernel_func::kernel_func::my_ip

Definition at line 520 of file _flow_graph_streaming_node.h.

## my_node

template<typename... Ports, typename JP , typename StreamFactory >
template<typename... Args>

const streaming_node& streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_kernel_func::kernel_func::my_node

Definition at line 521 of file _flow_graph_streaming_node.h.

## my_storage

template<typename... Ports, typename JP , typename StreamFactory >
template<typename... Args>

const args_storage& streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_kernel_func::kernel_func::my_storage

Definition at line 522 of file _flow_graph_streaming_node.h.

The documentation for this struct was generated from the following file:

- _flow_graph_streaming_node.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.